<div class="row">
    <!-- left column -->
    <div class="col-md-6">
        <form role="form">
            <div class="box-body">

                <div class="form-group" role="main">
                    <label for="nome">Nome</label>
                    <input id="nome" name="nome" [(ngModel)]="produto.nome" class="form-control" />
                </div>
                <div class="form-group" role="main">
                    <label for="valor">Valor</label>
                    <input id="valor" name="valor" [(ngModel)]="produto.valor" class="form-control" />


                </div>
                <div class="form-group" role="main">
                    <button (click)="salvar()" class="btn btn-block btn-primary">Salvar</button>
                </div>

                <table id="produtos" class="table table-bordered table-hover">
                    <thead>
                        <tr>
                            <th>Nome</th>
                            <th>Valor</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let p of produtos">
                            <td>{{p.nome | chico | reversepipe}}</td>
                            <td>{{p.valor | currency:'BRL':true}}</td>
                            <td><button (click)="editar(p)">Editar</button></td>
                            <td><button (click)="deletar(p.id)">Excluir</button></td>
                        </tr>
                    </tbody>
                </table>


            </div>
        </form>
    </div>
</div>